## gimpchecks

gimpchecks — Constants and functions related to rendering checkerboards.

## Functions

void | gimp_checks_get_shades ()

## Types and Values

#define | GIMP_CHECK_SIZE
#define | GIMP_CHECK_SIZE_SM
#define | GIMP_CHECK_DARK
#define | GIMP_CHECK_LIGHT

## Description

Constants and functions related to rendering checkerboards.

## Functions

### gimp_checks_get_shades ()

    void
    gimp_checks_get_shades (GimpCheckType type,
                            guchar *light,
                            guchar *dark);

Retrieves the actual shades of gray to use when drawing a checkerboard for a certain GimpCheckType.

#### Parameters

type | the checkerboard type |
light | return location for the light shade |
dark | return location for the dark shade |

Since: 2.2

## Types and Values

### GIMP_CHECK_SIZE

    #define GIMP_CHECK_SIZE     8

The default checkerboard size in pixels. This is configurable in the core but GIMP plug-ins can't access the user preference and should use this constant instead.

### GIMP_CHECK_SIZE_SM

    #define GIMP_CHECK_SIZE_SM  4

The default small checkerboard size in pixels.

### GIMP_CHECK_DARK

    #define GIMP_CHECK_DARK   0.4

The dark gray value for the default checkerboard pattern.

### GIMP_CHECK_LIGHT

    #define GIMP_CHECK_LIGHT  0.6

The dark light value for the default checkerboard pattern.